textures/subway/fog
{
	qer_editorimage textures/sfx/fog_black.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.00001 0.00001 0.00001 ) 3192
}

textures/subway/subway_ice
{
	qer_editorimage textures/subway/subway_ice.tga
	surfaceparm nodamage
	surfaceparm slick
	tesssize 256

	{
		map textures/subway/subway_ice.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/subway/subway_ice2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}


textures/subway/metal_nonsolid
{
	surfaceparm nonsolid
	implicitMask -
}

textures/subway/indust_metal_floor
{
	surfaceparm metalsteps
	implicitMask -
}

textures/subway/alien_signs
{
	qer_editorimage textures/subway/alien_signs_edit.jpg
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nosolid
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/subway/8secrets
{
	qer_editorimage textures/subway/8secrets_edit.jpg
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nosolid
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/subway/light_blue
{
	qer_editorimage textures/subway/light_blue.jpg
	q3map_lightimage textures/subway/light_blue.jpg
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/light_blue.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/light_blue.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/light_orange
{
	qer_editorimage textures/subway/light_orange.jpg
	q3map_lightimage textures/subway/light_orange.jpg
	q3map_surfacelight 9000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/light_orange.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/light_orange.jpg
		blendFunc GL_ONE GL_ONE
	}
}


textures/subway/alien_light
{
	qer_editorimage textures/subway/alien_light.tga
	q3map_lightimage textures/subway/alien_light.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/alien_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/alien_light.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/water
{
	qer_editorimage textures/subway/water_1.tga
	qer_trans .5
	q3map_globaltexture
	cull disable
	nofog
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	{
		map textures/subway/water_2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
		fog on
	}
	{
		map textures/subway/water_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
		fog on
	}
	{
		map textures/subway/water_4.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/subway/door
{
	surfaceparm metalsteps
	implicitMap -
}

textures/subway/ladder
{
	cull disable
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	implicitMask -
}

textures/subway/whiteglass
{
	qer_editorimage textures/subway/whiteglass.jpg
	qer_trans 0.5
	cull none
	surfaceparm glass
	surfaceparm trans
	{
		map textures/subway/whiteglass.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcgen environment
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/subway/light_m16_small
{
	qer_editorimage textures/subway/light_m16.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/light_m16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/light_m16.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/tp_light_green
{
	qer_editorimage textures/subway/tp_light_green.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/tp_light_green.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/tp_light_green.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/tp_light_purple
{
	qer_editorimage textures/subway/tp_light_purple.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/tp_light_purple.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/tp_light_purple.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}